Opened 11 years ago

Closed 10 years ago

#875 closed task (done)

Update ALGLIB sources

Reported by: gkronber Owned by: gkronber
Priority: lowest Milestone: HeuristicLab 3.3.3
Component: ExtLibs Version: 3.3.3
Keywords: Cc:

Change History (32)

comment:1 Changed 11 years ago by gkronber

  • Owner changed from mkommend to gkronber
  • Status changed from new to assigned

comment:2 Changed 11 years ago by gkronber

Added plugin for new version of ALGLIB with r2806.

comment:3 Changed 11 years ago by gkronber

Set svn:ignore properties with r2807.

comment:4 Changed 11 years ago by gkronber

Updated ALGLIB references in HL plugins with r2808.

comment:5 Changed 11 years ago by gkronber

Old version of ALGLIB sources and HeuristicLab transport plugin should be deleted.

comment:6 Changed 11 years ago by gkronber

Most recent version of ALGLIB is 2.4.0 but an update to this version is not necessary.

comment:7 Changed 11 years ago by gkronber

Fixed incorrect file dependency in ALGLib plugin with r3215.

comment:8 Changed 11 years ago by gkronber

  • Status changed from assigned to new

comment:9 Changed 11 years ago by gkronber

  • Version changed from 3.2 to 3.3

comment:10 Changed 11 years ago by gkronber

  • Version changed from 3.3 to 3.3.2

comment:11 Changed 10 years ago by gkronber

A new major version of ALGLIB has been released. The most recent version is 3.1.0 released on 31st of October, 2010.

comment:12 Changed 10 years ago by gkronber

  • Milestone changed from HeuristicLab x.x.x to HeuristicLab 3.3.3

comment:13 Changed 10 years ago by gkronber

  • Status changed from new to accepted

comment:14 Changed 10 years ago by gkronber

Added up to date algib classes with r4974:4978

comment:15 Changed 10 years ago by gkronber

Updated data-analysis plugins to use ALGLIB version 3.1.0 with r4980.

comment:16 Changed 10 years ago by gkronber

  • Owner changed from gkronber to mkommend
  • Status changed from accepted to reviewing

comment:17 Changed 10 years ago by mkommend

  • Owner changed from mkommend to gkronber

Adapted HL.Problems.DataAnalysis.Views to use AlgLib 3.1 with r4988.

comment:18 Changed 10 years ago by gkronber

We should probably remove the old ALGLIB version from the trunk solution.

comment:19 Changed 10 years ago by gkronber

  • Status changed from reviewing to assigned

comment:20 Changed 10 years ago by gkronber

Moved ALGLIB version 2.5.0 into branches with r5189:5190

comment:21 Changed 10 years ago by gkronber

Removed references to ALGLIB version 2.5.0 with r5191.

comment:22 Changed 10 years ago by gkronber

  • Owner changed from gkronber to swagner
  • Status changed from assigned to reviewing

comment:23 follow-up: Changed 10 years ago by swagner

  • Owner changed from swagner to gkronber
  • Status changed from reviewing to assigned

Review comments:

  • Please update "Files.txt" and "Builder.testsettings". Both files still contain entries for ALGLIB 2.5.0.
  • Please update the version numbers in the assembly info of plugin HeuristicLab.ALGLIB-3.1.0.
  • Why do we have to keep the old ALGLIB version 2.5.0 in a branch?

comment:24 Changed 10 years ago by gkronber

Removed references to ALGLIB version 2.5.0 in Files.txt and Builder.testsettings and updated assembly version in AssemblyInfo.frame of project HeuristicLab.ALGLIB-3.1.0 with r5226.

comment:25 in reply to: ↑ 23 ; follow-up: Changed 10 years ago by gkronber

Replying to swagner:

Review comments:

  • [...]
  • Why do we have to keep the old ALGLIB version 2.5.0 in a branch?

We do not have to keep the old version in a branch. Do we have a policy how to branch/tag old versions of released plugins yet?

comment:26 Changed 10 years ago by gkronber

  • Owner changed from gkronber to swagner
  • Status changed from assigned to reviewing

comment:27 in reply to: ↑ 25 Changed 10 years ago by swagner

  • Owner changed from swagner to gkronber
  • Status changed from reviewing to assigned

Replying to gkronber:

We do not have to keep the old version in a branch. Do we have a policy how to branch/tag old versions of released plugins yet?

The old ALGLIB version is included in the tags of the released HeuristicLab versions. Therefore I think it is properly archived and we do not need to keep a branch for ALGLIB 2.5.0. However, if side-by-side installation of both ALGLIB versions is still necessary, the old ALGLIB version should also be kept in the trunk in order to include it in the next HeuristicLab release. But I think this is not necessary, right?

comment:28 Changed 10 years ago by gkronber

  • Description modified (diff)

comment:29 Changed 10 years ago by gkronber

  • Description modified (diff)

Replying to swagner:

Replying to gkronber:

We do not have to keep the old version in a branch. Do we have a policy how to branch/tag old versions of released plugins yet?

The old ALGLIB version is included in the tags of the released HeuristicLab versions. Therefore I think it is properly archived and we do not need to keep a branch for ALGLIB 2.5.0. However, if side-by-side installation of both ALGLIB versions is still necessary, the old ALGLIB version should also be kept in the trunk in order to include it in the next HeuristicLab release. But I think this is not necessary, right?

You are right. I removed the old ALGLIB plugins from branches with r5236.

Last edited 10 years ago by gkronber (previous) (diff)

comment:30 Changed 10 years ago by gkronber

  • Owner changed from gkronber to swagner
  • Status changed from assigned to reviewing

comment:31 Changed 10 years ago by swagner

  • Owner changed from swagner to gkronber
  • Status changed from reviewing to readytorelease

Thanks.

comment:32 Changed 10 years ago by mkommend

  • Resolution set to done
  • Status changed from readytorelease to closed
  • Version changed from 3.3.2 to 3.3.3
Note: See TracTickets for help on using tickets.